#!/bin/bash
# Copyright (C) 2014 by Intevation GmbH
# Author(s):
# Mathias Gebbe <mgebbe@intevation.de>
#
# The Document Root of your projects website is available as:
# wald.intevation.org:/$PROJECT/htdocs/
# so to list the contents of your projects Document root you can use:
# rsync $USER@wald.intevation.org:/$PROJECT/htdocs/
# or to make a locale copy:
# rsync -vrl $USER@wald.intevation.org:/$PROJECT/htdocs/ $TARGET [should be an empty directory]
# to upload a new htdocs folder use:
# rsync -rvPC --perms --chmod=ug+rw,o+r,Dg+s,Da+x,u-s,Fg-s,o-wt --exclude '*.swp' --delete ./website/* $username@wald.intevation.org:/$PROJECT/htdocs/
#
# to load the latest d4e-website from repositroy use: hg clone https://scm.wald.intevation.org/hg/dive4elements/website/


PROJECT=dive4elements

function usage
{
    echo "usage: -u username -d destination [-h]"
}


##### Main

while [ "$1" != "" ]; do
    case $1 in
        -u | --user )           shift
                                username=$1
                                ;;
        -d | --destination )    shift
                                destination=$1
                                ;;
        -h | --help )           usage
                                exit 0
                                ;;
        * )                     usage
                                exit 1
    esac
    shift
done

if [ -z $username ];then
 echo "Username:"
 read username
fi

if [ -z $destination ];then
 echo "Destination (hit enter for current directory `pwd`/ [should be an empty directory]):"
 read destination
  if [ -z $destination ];then
   destination=`pwd`+/
  fi
fi

mkdir -p $destination
hg clone ssh://$username@scm.wald.intevation.org/hg/dive4elements/website/ $destination

echo "run the following command to upload the website from repository"
echo "rsync -rvPC --perms --chmod=ug+rw,o+r,Dg+s,Da+x,u-s,Fg-s,o-wt --exclude '*.swp' --delete $destination $username@wald.intevation.org:/$PROJECT/htdocs/"
